For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

Update Super Admin Details

PUT
https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/:superAdminId
PUT
/api/v3/io/super-admins/info/:superAdminId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/super-admins/info/11 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "extraFields": [
5 {
6 "fieldName": "customField1",
7 "fieldValue": "foo"
8 }
9 ],
10 "id": 123456,
11 "createdAt": 1745868780,
12 "updatedAt": 1750962754,
13 "channelList": [
14 {
15 "channelId": 1,
16 "channelName": "Great Buys Wholesale",
17 "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
18 }
19 ],
20 "firstName": "Marie",
21 "lastName": "Curie",
22 "phone": "string",
23 "uuid": "string",
24 "email": "marie.curie@example.com"
25 },
26 "meta": {
27 "message": "Success"
28 }
29}
Updates the account information of the Super Admin associated with `superAdminId`. > **NOTE** > A BigCommerce customer account and a B2B Edition user account are both uniquely identified by their email address. As such, the `email` field is considered read-only. Updating the email address should be avoided, but may be done with the [Update Customers](/developer/api-reference/rest/admin/management/customers/v3/update-customers) endpoint.
Was this page helpful?
Previous

Get Super Admin Details

Next

List Super Admins with Assigned Companies

Built with

Updates the account information of the Super Admin associated with superAdminId.

NOTE
A BigCommerce customer account and a B2B Edition user account are both uniquely identified by their email address. As such, the email field is considered read-only. Updating the email address should be avoided, but may be done with the Update Customers endpoint.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

superAdminIdintegerRequired

The unique ID of the Super Admin account. Does not match the BigCommerce customer account ID.

Request

This endpoint expects an object.
firstNamestringOptional
The first name listed on the Super Admin's BigCommerce customer account.
lastNamestringOptional
The last name listed on the Super Admin's BigCommerce customer account.
phonestringOptional
The phone number listed on the Super Admin's BigCommerce customer account.
uuidstringOptionalformat: "uuid"
An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field's label. B2B Edition will not assign a UUID by default. > NOTE > Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details. > > Regardless of individual user status, make sure to check for existence before attempting to use the value of the `uuid` field.
channelIdslist of integersOptional
An array of unique channel IDs associated with BigCommerce sales channels. The account will only be able to login on channels in this list.
extraFieldslist of objectsOptional

Response

SUCCESS
codeintegerDefaults to 200
dataobject
metaobject

Errors

404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field’s label. B2B Edition will not assign a UUID by default.

NOTE
Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details.

Regardless of individual user status, make sure to check for existence before attempting to use the value of the uuid field.